Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class SimpleServerManager

    java.lang.Object
      |
      +--org.openorb.PI.SimpleServerManager

All Implemented Interfaces:
  ServerManager

public class SimpleServerManager
extends java.lang.Object
implements ServerManager

This interface describes all operations that must be implemented to provide a server request interceptor manager.

Version:
  $Revision: 1.10 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood

Field Summary
`static int` | `BAD_INTERCEPTOR_RESPONSE` minor code of INTERNAL exception thrown when an interceptor gives and invalid response.

Constructor Summary
`SimpleServerManager(ServerRequestInterceptor[] list, CurrentImpl current)` Set the interceptors list

Method Summary
`void` | `receive_request_service_contexts(ServerRequestInfo info, RequestCallback cb)` This operation must be called from the server interception point.
`void` | `receive_request(ServerRequestInfo info, RequestCallback cb)` This operation must be called from the server interception point.
`void` | `send_exception(ServerRequestInfo info, RequestCallback cb)` This operation must be called from the server interception point.
`void` | `send_other(ServerRequestInfo info, RequestCallback cb)` This operation must be called from the server interception point.
`void` | `send_reply(ServerRequestInfo info, RequestCallback cb)` This operation must be called from the server interception point.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAD_INTERCEPTOR_RESPONSE

    public static final int BAD_INTERCEPTOR_RESPONSE

  minor code of INTERNAL exception thrown when an interceptor gives and invalid response.

Constructor Detail

### SimpleServerManager

    public SimpleServerManager(ServerRequestInterceptor[] list,
                               CurrentImpl current)

  Set the interceptors list

Method Detail

### receive_request_service_contexts

    public void receive_request_service_contexts(ServerRequestInfo info,
                                                 RequestCallback cb)

  This operation must be called from the server interception point.
  Specified by:
    `receive_request_service_contexts` in interface `ServerManager`

### receive_request

    public void receive_request(ServerRequestInfo info,
                                RequestCallback cb)

  This operation must be called from the server interception point.
  Specified by:
    `receive_request` in interface `ServerManager`

### send_reply

    public void send_reply(ServerRequestInfo info,
                           RequestCallback cb)

  This operation must be called from the server interception point.
  Specified by:
    `send_reply` in interface `ServerManager`

### send_exception

    public void send_exception(ServerRequestInfo info,
                               RequestCallback cb)

  This operation must be called from the server interception point.
  Specified by:
    `send_exception` in interface `ServerManager`

### send_other

    public void send_other(ServerRequestInfo info,
                           RequestCallback cb)

  This operation must be called from the server interception point.
  Specified by:
    `send_other` in interface `ServerManager`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD